<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <meta http-equiv="content-type" content="text/html; charset=utf-8" />
  <meta name="Description" content="GMtoolbox : a Matlab toolbox for inference in Graphical Models" />
  <meta name="Keywords" content="Graphical Model, Inference, toolbox, Matlab" />
  <link rel="stylesheet" type="text/css" href="style.css" />
  <title>GMtoolbox : a Matlab toolbox for inference in Graphical Models</title>
  <!--[if IE]><script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script><![endif]-->
</head>


<body>

<header>
<table class="header">
  <tr>
    <td><h2><span>GM</span>toolbox</h2></td>
    <td>
      <nav class="navigation"><ul>
        <li><a href="index.html">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;HOME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</a></li>
        <li><a href="download.html">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DOWNLOAD&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</a></li>
        <li><a href="documentation.html">&nbsp;&nbsp;DOCUMENTATION&nbsp;&nbsp;</a></li>
      </ul></nav>
  </tr>
</table>

<h1>GMtoolbox : a Matlab toolbox for inference in Graphical Models</h1>
</header>


<aside>
<h4>NEWS: version 1.0.1 (August, 2019), version 1.0 (April, 2019), beta version 0.9 (April 2018)</h4>
</aside>


<section>
  <h3>Presentation</h3>
  <div>
    <b>GM</b>toolbox currently allows to:
  <ul>
    <li> represent a graphical model as a factor graph, such that:<br/><br/>
         <img src="IMAGES/fg.png" height="200" alt="A factor graph" ></li> 
    <li> infer marginals using evidence (observation).</li>
    </ul>
</div>

<p>The inference relies on the Generalized Belief Propagation algorithm parent-to-child (see 
  JS Yedidia, WT Freeman, Y Weiss, “Constructing Free-Energy Approximations and Generalized Belief Propagation
  Approximations,” IEEE Transactions on Information Theory (2005)
  vol. 51, pp. 2282-2312) [<a href="./YedidaFreemanWeiss2004.pdf">PDF</a>].
</p>
</section>


<section>
<h3>Authors</h3> 
<p>The toolbox is developed by <a href="http://inra.fr/mia/T/cros/">MJ. Cros</a>,
  <a href="http://carlit.toulouse.inra.fr/wikiz/index.php/Nathalie_PEYRARD">N. Peyrard</a>
  and <a href="http://carlit.toulouse.inra.fr/wikiz/index.php/R%C3%A9gis_SABBADIN">R. Sabbadin</a>,
  <a href="http://carlit.toulouse.inra.fr/wikiz/index.php/Accueil">MIAT Laboratory</a>,
  <a href="http://inra.fr">INRA</a> Toulouse, France.
</p>
</section>


<footer>
  <p  id="footer"><br/><br/>Last modification : August, 2019</p>
</footer>

</body>
</html>
